Subject: German voting on several subjects

From: [email-masked]
Date: Fri, 17 May 1996, 15:09:18 +0100

Dear Bill,
this is to inform you about the German vote on SC22 Documents.

2.  WG13, CD Registration of SC 22 N 2068, deadline 1996-05-30, Object
oriented extensions for Modula-2:

We do not support this registration unless the following objections are
resolved.  (Resolution of these objections changes our vote to YES.)

The concept of safe and unsafe modules with all its derived rules
introduces a lot of complexity into Object Oriented Modula-2.  As the vast
majority of real life programs will be anyway "unsafe" due to the many
limitations of "save" modules, and as the concept suggests a safety that
it does not really deliver, the DIN experts suggest removal of the
classification of modules into safe and unsafe modules.
____________________________________________________________________________